Bug 1889657

Summary: Dependencies not listed in the rpm spec
Product: [Fedora] Fedora Reporter: msandova
Component: gnome-tourAssignee: Kalev Lember <klember>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 33CC: awilliam, gnome-sig, klember
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: AcceptedFreezeException
Fixed In Version: gnome-tour-3.38.0-2.fc33 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-10-23 22:18:05 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1766778    

Description msandova 2020-10-20 10:35:30 UTC
`gnome-tour` depends on `gstreamer1-plugins-good-gtk` which is not installed as a dependency nor listed as one in the rpm spec. 

On Silverblue the app won't run at all. 

Inside a toolbox container installing gnome-tour won't install the dependency either.

Comment 1 Kalev Lember 2020-10-20 10:57:06 UTC
Thanks for catching this! Should be fixed in https://src.fedoraproject.org/rpms/gnome-tour/c/f58ef7bf35e8bb3ab869a77a743024a412c8126c?branch=f33

Proposing as a F33 Freeze Exception: Would be good to ship a working gnome-tour in Silverblue.

Comment 2 Fedora Update System 2020-10-20 11:08:50 UTC
FEDORA-2020-d1ba1b8b85 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d1ba1b8b85

Comment 3 Fedora Update System 2020-10-20 14:24:17 UTC
FEDORA-2020-d1ba1b8b85 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-d1ba1b8b85`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d1ba1b8b85

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Adam Williamson 2020-10-21 21:48:37 UTC
+4 votes on https://pagure.io/fedora-qa/blocker-review/issue/185 , marking accepted. Unfortunately we already built the RC, so unless we find blockers in that or we do slip for the re-signed shim, this won't get fixed for Final.

Comment 5 Fedora Update System 2020-10-23 22:18:05 UTC
FEDORA-2020-d1ba1b8b85 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.